package com.liang.service;

import com.liang.entity.SysOperLog;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (SysOperLog)表服务接口
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
public interface SysOperLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    SysOperLog queryById(String logId);

    /**
     * 分页查询
     *
     * @param sysOperLog  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysOperLog> queryByPage(SysOperLog sysOperLog, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysOperLog 实例对象
     * @return 实例对象
     */
    SysOperLog insert(SysOperLog sysOperLog);

    /**
     * 修改数据
     *
     * @param sysOperLog 实例对象
     * @return 实例对象
     */
    SysOperLog update(SysOperLog sysOperLog);

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    boolean deleteById(String logId);

}
